#@TYPE: Machine
#@NAME: Parrot airborne

# build plf kernel
#INHERIT += "plf-kernel"

# Ship all kernel modules by default
MACHINE_EXTRA_RRECOMMENDS = "kernel-modules mtd-utils mtd-utils-ubifs screen nano bash"

# Allow for extra depends
#EXTRA_IMAGEDEPENDS += ""

include conf/machine/include/tune-arm926ejs.inc

IMAGE_FSTYPES += "tar.gz"

#SERIAL_CONSOLE = "115200 ttyPA1"

#PREFERRED_PROVIDER_virtual/kernel ?= "linux-ardrone2"
PREFERRED_PROVIDER_virtual/kernel = "linux-dummy"

KERNEL_IMAGETYPE = "zImage"

MACHINE_FEATURES = "usbgadget usbhost"

CORE_IMAGE_BASE_EXTRA_INSTALL = "udt ldd opencv libxml2 iir vrpn nmealib filelib packagegroup-core-ssh-dropbear"

USE_DEVFS = "0"

#BOOT_PARAMS="mtdparts=omap2-nand.0:512K(Pbootloader),8M(Pmain_boot),8M(Pfactory),114176K(Psystem) console=ttyO3,115200 loglevel=8 earlyprintk=ttyO3,115200 ubi.mtd=Pfactory,2048 ubi.mtd=Psystem,2048 root=ubi1:rootfs rootfstype=ubifs parrot5.low_latency=1 mem=80M mpurate=1000 "

